Download it now!
Bug 91396 - UI: Crash after Tools Options and Sidebar switching
Summary: UI: Crash after Tools Options and Sidebar switching
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0.0.beta2 target:5.1.0
Keywords: haveBacktrace, needUITest
Depends on:
Blocks:
 
Reported: 2015-05-19 16:32 UTC by Gordo
Modified: 2018-02-01 17:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (13.21 KB, text/plain)
2015-05-19 16:32 UTC, Gordo
Details
bt with debug symbols (7.87 KB, text/plain)
2015-05-19 19:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-05-19 16:32:17 UTC
Created attachment 115727 [details]
backtrace

1. New Text Document.
2. Open Sidebar → Navigator.
3. Tools → Options → LibreOfficeDev → View
4. In User Interface, open style drop-down (Tango, Sifr etc.) and click to hide it and Cancel dialogue.
5. In Sidebar, switch from Navigator to Properties.
6. Exit application.
Result:
Crash.

I also tried it with Colors → Color drop-down and Load/Save → General → ODF format version, so it is probably any drop-down in Tools → Options in combination with the Sidebar.

Windows Vista 64
Version: 5.0.0.0.alpha1+
Build ID: 158b50763962f66515062300e265839828463efa
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-19_00:28:31
Comment 1 Julien Nabet 2015-05-19 19:27:34 UTC
Created attachment 115736 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, 5f653490a40850886f94c9fd6b381b4bed1de58a, I could reproduce this.
Comment 2 Philippe Jung 2015-05-28 10:22:16 UTC
Been able to produce the same backtrace with simply open new doc, navigator, go to properties, exit.
=> Not systematic
=> Not related to Tools -> Options
Comment 3 Julien Nabet 2015-05-28 17:17:17 UTC
Just for the record, with master sources updated yesterday be01d68420086fc36ecf26b5f597ba7c6b29b369, I still reproduce this.
Comment 4 Commit Notification 2015-05-29 19:20:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e1dce449654198956c6c027b308cd20e4d0d828&h=libreoffice-5-0

VclPtr: tdf#91396 crash after tool options and sidebar switching

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-05-29 19:21:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a456034cb2472ebb98217be223b73f5653c9e560

VclPtr: tdf#91396 crash after tool options and sidebar switching

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.